package cn.com.countrygarden.bi.main.model.financial.dto;

import com.alibaba.fastjson.JSON;

/**
 * @Atuhor: Geoffrey
 * @Description: 财务报表收入DTO
 * @Date: Create in 14:42 2018/8/9
 * @ModifedBy:
 */
public class InCome {
    private Object estateManagement; //物业管理服务

    private Object communityService;  //社区增值服务

    private Object marketingService;  //协销服务

    private Object siteService;   //场地服务

    private Object ncIncome; //NC主营业务收入

    private String other;   //其他业务收入

    private String total;   //不含税收入合计

    private String totalWithTax; //含税合计

    private String takeOverArea;        //接管面积

    private String payBeginArea;        //收费面积

    private String actualArea;          //收楼面积

    private String month;   //月份

    private String year; //年份

    private String commId;  //项目编号

    private String organCode; //区域编号


    public InCome() {
    }

    public Object getNcIncome() {
        return ncIncome;
    }

    public void setNcIncome(Object ncIncome) {
        this.ncIncome = ncIncome;
    }

    public void setOrganCode(String organCode) {
        this.organCode = organCode;
    }

    public String getOrganCode() {
        return organCode;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public String getCommId() {
        return commId;
    }

    public void setCommId(String commId) {
        this.commId = commId;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getTotalWithTax() {
        return totalWithTax;
    }

    public void setTotalWithTax(String totalWithTax) {
        this.totalWithTax = totalWithTax;
    }


    public Object getEstateManagement() {
        return estateManagement;
    }

    public void setEstateManagement(Object estateManagement) {
        this.estateManagement = estateManagement;
    }

    public Object getMarketingService() {
        return marketingService;
    }

    public void setMarketingService(Object marketingService) {
        this.marketingService = marketingService;
    }

    public Object getCommunityService() {
        return communityService;
    }

    public void setCommunityService(Object communityService) {
        this.communityService = communityService;
    }

    public Object getSiteService() {
        return siteService;
    }

    public void setSiteService(Object siteService) {
        this.siteService = siteService;
    }

    public String getOther() {
        return other;
    }

    public void setOther(String other) {
        this.other = other;
    }

    public String getTotal() {
        return total;
    }

    public void setTotal(String total) {
        this.total = total;
    }

    public String getTakeOverArea() {
        return takeOverArea;
    }

    public void setTakeOverArea(String takeOverArea) {
        this.takeOverArea = takeOverArea;
    }

    public String getPayBeginArea() {
        return payBeginArea;
    }

    public void setPayBeginArea(String payBeginArea) {
        this.payBeginArea = payBeginArea;
    }

    public String getActualArea() {
        return actualArea;
    }

    public void setActualArea(String actualArea) {
        this.actualArea = actualArea;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
